package cd.casic.plugin;

import lombok.experimental.UtilityClass;

/**
 * @Classname PluginConstants
 * @Description 常量
 * @Date 2025/5/8 14:51
 * @Created by mianbin
 */
@UtilityClass
public class PluginConstants {
    /**
     * Plugin metadata labels key.
     */
    String PLUGIN_NAME_LABEL_NAME = "plugin.ops/plugin-name";

    String SYSTEM_PLUGIN_NAME = "system";

    String RELOAD_ANNO = "plugin.ops/reload";

    String REQUEST_TO_UNLOAD_LABEL = "plugin.ops/request-to-unload";

    String PLUGIN_PATH = "plugin.ops/plugin-path";
    // 模式这边后面要考虑下dev\prod， 目前作为现在的情况，这两种就够了
    String RUNTIME_MODE_ANNO = "plugin.ops/runtime-mode";

    String assetsRoutePrefix(String pluginName) {
        return "/plugins/" + pluginName + "/assets/";
    }
}
