package cd.casic.plugin.extension;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.time.Instant;
import java.util.Map;
import java.util.Set;

/**
 * @Classname Metadata
 * @Description TODO
 * @Date 2025/5/8 19:52
 * @Created by mianbin
 */
@Data
@EqualsAndHashCode(exclude = "version")
public class Metadata implements MetadataOperator {

    /**
     * Metadata name. 唯一的。
     */
    private String name;

    private String generateName;

    private Map<String, String> labels;

    private Map<String, String> annotations;

    private Long version;

    private Instant creationTimestamp;

    private Instant deletionTimestamp;

    private Set<String> finalizers;
}
