package cd.casic.ci.commons.bean.process.definition;


import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线收藏模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineFollow {

    //日志id
    private String id;

    //用户id
    private String userId;

    //流水线信息
    private Pipeline pipeline;
}
