package cd.casic.ci.commons.bean.support.count;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;
/**
 * @author by mianbin
 * @Classname Test
 * @Description 流水线运行日统计模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class PipelineRunDayCount {

    /**
     * 日期
     */
    private String day;

    /**
     * 运行时间统计列表
     */
    private List<PipelineRunTimeCount> runTimeCountList;
}
