package cd.casic.ci.commons.bean.support.deploy;


import cd.casic.ci.commons.bean.process.setting.AuthHost;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

import java.util.List;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class TaskDeployStrategy {

    private String taskInstanceId;

    private String strategyInstanceId;

    private List<AuthHost> authHostList;

}
