package cd.casic.module.process.support.postprocess.entity;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_postprocess", autoResultMap = true)
public class PostprocessDo extends BaseDO {

    @TableId
    private String postId;

    private String postName;

    private int taskSort;

    private String taskType;

    private String taskId;

    private String pipelineId;

}
