package cd.casic.module.process.support.variable.dataobject;

import cd.casic.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.*;
import lombok.experimental.Accessors;

@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@TableName(value = "pip_pipeline_variable", autoResultMap = true)
public class VariableDo extends BaseDO {

    //流水线配置id
    @TableId
    private String varId;

    //名称
    private String varKey;

    //值
    private String varValue;

    //类型
    private String varType;

    private int type;

    //任务id
    private String taskId;

    private String pipelineId;

    private String varValues;
}