package cd.casic.module.process.support.version.service.impl;

import cd.casic.module.process.licence.licence.model.Version;
import cd.casic.module.process.licence.licence.service.VersionService;
import cd.casic.module.process.support.version.service.PipelineVersionService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName PipelineVersionServiceImpl
 * @Author hopeli
 * @Date 2025/5/2 18:58
 * @Version 1.0
 */
@Service
public class PipelineVersionServiceImpl implements PipelineVersionService {

    @Autowired
    VersionService versionServer;


    @Override
    public Boolean isVip() {
        Version version = versionServer.getVersion();

        Boolean expired = version.getExpired();
        // Integer release = version.getRelease();
        return !expired;
    }

}
