package cd.casic.ci.commons.bean.commons;

import lombok.Data;

import java.io.Serial;
import java.io.Serializable;
import java.util.List;

/**
 * @ClassName Pagination
 * @Author hopeli
 * @Date 2025/5/2 21:32
 * @Version 1.0
 */
@Data
public class Pagination<T> implements Serializable {
    @Serial
    private static final long serialVersionUID = 5016662499561189494L;
    private int pageSize = 10;
    private int currentPage = 1;
    private int totalRecord;
    private int totalPage;
    private int beginIndex;
    private int endIndex;
    private List<T> dataList;
}
