package cd.casic.ci.commons.bean.engine.job;


import cd.casic.framework.commons.pojo.PageParam;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 任务实例模型
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class TaskInstanceQuery {

    //历史Id
    private String instanceId;

    //运行类型
    private String jobType;

    //运行状态 error.失败 success.成功 halt.停止 wait.等待
    private String runState;

    //阶段id
    private String stagesId;

    //后置任务id
    private String postprocessId;

    //分页参数
    private PageParam pageParam = new PageParam();

    //排序参数
    private Object orderParams;

}
