package cd.casic.ci.commons.bean.process.setting;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.Accessors;

/**
 * @author by mianbin
 * @Classname Test
 * @Description 主机组与主机的关联关系
 * @Date 2025/4/22 8:45
 */
@Data
@Builder
@Accessors(chain = true)
@NoArgsConstructor
@AllArgsConstructor
public class AuthHostGroupDetails {

    private String id;

    // 主机组ID
    private String groupId;

    // 主机ID
    private AuthHost authHost;

}
